#
# Author: Martti Kuparinen <martti.kuparinen@iki.fi>
#
# $Id: mkvdr.conf,v 1.57 2008-11-10 20:37:29 martti Exp $
#
# V_xxx   = version number
# P_xxx   = patch version
# D_xxx   = build and run-time dependencies
#

###############################################################################
# VDR
###############################################################################
export V_VDR="1.6.0"
export D_VDR="dvb-utils build-essential cvs gettext libcap-dev libfontconfig1-dev libfreetype6-dev libjpeg62-dev"
#
export V_VDR_FBFE="1.6.0"
export V_VDR_SXFE="1.6.0"

###############################################################################
# VDR patches
###############################################################################
export P_CAPSYSNICE="vdr-1.6.0-cap_sys_nice.patch.gz"
export P_CUTTER_MARKS="vdr-1.6.0-cutter-marks.diff.gz"
export P_JUMPPLAY="vdr-1.6.0-jumpplay-0.9.diff"
export P_LIEMIKUUTIO="vdr-1.6.0-liemikuutio-1.21.diff.gz"
export P_PARENTALRATING_CONTENT="vdr-1.6.0-parentalrating-content.diff.gz"
export P_TTXTSUBS="vdr-1.6.0-ttxtsubs-0.0.5.diff.gz"

###############################################################################
# VDR plugins
###############################################################################
export V_BITSTREAMOUT="0.85"
export D_BITSTREAMOUT="libasound2-dev libmad0-dev"

export V_BURN="-D20081101"
export D_BURN=""

export V_CDDA="0.1.0"
export D_CDDA="libcdio-dev libmad0-dev"

export V_DUMMYDEVICE="1.0.2"
export D_DUMMYDEVICE=""

export V_DVD="-D20081101"
export D_DVD="liba52-0.7.4-dev libdvdnav-dev"

export V_EPGSEARCH="0.9.24"
export D_EPGSEARCH="sendemail"
#
export V_CONFLICTCHECKONLY="0.9.24"
export V_EPGSEARCHONLY="0.9.24"
export V_QUICKEPGSEARCH="0.9.24"

export V_EXTRECMENU="1.1"
export D_EXTRECMENU=""

export V_FEMON="1.6.3"
export D_FEMON=""

export V_IPTV="0.2.2"
export D_IPTV=""

export V_LCDPROC="0.0.10"
export D_LCDPROC="lcdproc"

export V_LIVE="0.2.0"
export D_LIVE="libtntnet-dev"

export V_MP3="0.10.1"
export D_MP3="eject libid3tag0-dev libmad0-dev libsndfile1-dev libvorbis-dev"
#
export V_MPLAYER="0.10.1"
export D_MPLAYER="eject mplayer"

export V_NORDLICHTSEPG="0.8a"
export D_NORDLICHTSEPG=""

export V_OSDPIP="0.0.9"
export D_OSDPIP="libavcodec-dev"

export V_OSDTELETEXT="0.5.1"
export D_OSDTELETEXT=""

export V_REMOTE="0.4.0"
export D_REMOTE=""

export V_REMOTEOSD="0.0.2"
export D_REMOTEOSD=""

export V_REMOTETIMERS="0.0.2"
export D_REMOTETIMERS=""

export V_RSSREADER="1.6.2"
export D_RSSREADER="curl libcurl4-gnutls-dev"

export V_SC="0.9.0"
export D_SC="libssl-dev"

export V_SCHEDULER="0.1.3"
export D_SCHEDULER=""

export V_SKINSOPPALUSIKKA="1.6.2"
export D_SKINSOPPALUSIKKA=""

export V_STATUS="builtin"
export D_STATUS=""

export V_SUSPENDOUTPUT=""
export D_SUSPENDOUTPUT=""

export V_SVDRPSERVICE="0.0.4"
export D_SVDRPSERVICE=""

export V_STREAMDEV_SERVER="-D20081101"
export D_STREAMDEV_SERVER=""
export V_STREAMDEV_CLIENT="-D20081101"
export D_STREAMDEV_CLIENT=""

export V_SYSINFO="0.1.0a"
export D_SYSINFO="lm-sensors"

export V_TIMERSYNC="0.1.0"
export D_TIMERSYNC=""

export V_VOMPSERVER="0.3.0"
export D_VOMPSERVER=""

export V_XINE="0.8.2"
export D_XINE="libtool automake autoconf libextractor-dev"

export V_XINELIBOUTPUT="1.0.3"
export D_XINELIBOUTPUT="libx11-dev x11proto-xext-dev libxv-dev libxine-dev libxine1-x libxine1-ffmpeg"
#
export V_XINEPLUG_POST_AUDIOCHANNEL="1.0.3"
export V_XINEPLUG_POST_AUTOCROP="1.0.3"
export V_XINEPLUG_INP_XVDR="1.0.3"

###############################################################################
# Other VDR related applications
###############################################################################
export V_VDRADMIN_AM="3.6.2"
export D_VDRADMIN_AM="libauthen-sasl-perl libdigest-hmac-perl libio-zlib-perl"
